<?xml version="1.0" encoding="UTF-8"?>

<!--
Transitions used for playview furniture.

Layout of these transitions is:
1. Creation and removal ones, plus data-changed based ones
	- These need to have tag filters done at the transition event (outer) level.
2. Activation, deactivation
	- These have tag filters at the transition (inner) level.

Contents, based on transition-event elements, are:
	1.1 progress_bar on_removal/on_creation
	1.2 extended_buttonbar on_removal/on_creation
	1.3 viewbar on_removal/on_creation
	1.4 navipane on_removal/on_creation
	1.5 album_art next/previous
	2.1 "on activation"
	2.2 "on deactivation"
-->

<transitions duration="600">

	<!-- 1st Phase.
	special restrictive top level layout ones 
	-->
	
	<!-- 1.1 progress_bar on_removal/on_creation -->
	<transition-event delay="0">
		<event-filter> 
			<filter attribute="event_type" value="on_removal"/>
		</event-filter>
		<tag-filter>
			<filter value="progress_bar" />
		</tag-filter>
		<transition>
			<transition-effect xsi:type="fadeOutEffectType"/>
		</transition>
	</transition-event>	
	<transition-event delay="0">
		<event-filter> 
			<filter attribute="event_type" value="on_creation"/>
		</event-filter>
		<tag-filter>
			<filter value="progress_bar" />
		</tag-filter>
		<transition>
			<transition-effect xsi:type="fadeInEffectType"/>
		</transition>
	</transition-event>		

	<!-- 1.2 extended_buttonbar on_removal/on_creation -->
	<transition-event delay="0">
		<event-filter> 
			<filter attribute="event_type" value="on_removal"/>
		</event-filter>
		<tag-filter>
			<filter value="extended_buttonbar" />
		</tag-filter>
		<transition>
			<orientation-filter value="portrait" />													
			<transition-effect xsi:type="flyOutEffectType">
				<y-vector direction="bottom"/>
			</transition-effect>
		</transition>
		<transition>
			<orientation-filter value="landscape" />
			<transition-effect xsi:type="flyOutEffectType">
				<x-vector direction="right"/>
			</transition-effect>
		</transition>
	</transition-event>	
	<transition-event delay="0" duration="600" >
		<event-filter> 
			<filter attribute="event_type" value="on_creation"/>
		</event-filter>
		<tag-filter>
			<filter value="extended_buttonbar" />
		</tag-filter>
		<transition>
			<orientation-filter value="portrait" />													
			<transition-effect xsi:type="flyInEffectType">
				<y-vector direction="bottom"/>
			</transition-effect>		
		</transition>
		<transition>
			<orientation-filter value="landscape" />
			<transition-effect xsi:type="flyInEffectType">
				<x-vector direction="right"/>
			</transition-effect>		
		</transition>
	</transition-event>		

	<!-- 1.3 viewbar on_removal/on_creation -->
	<transition-event delay="0">
		<event-filter> 
			<filter attribute="event_type" value="on_removal"/>
		</event-filter>
		<tag-filter>
			<filter value="viewbar" />
		</tag-filter>
		<transition>
			<orientation-filter value="portrait" />													
			<transition-effect xsi:type="flyOutEffectType">
				<y-vector direction="top"/>
			</transition-effect>
		</transition>
		<transition>
			<orientation-filter value="landscape" />													
			<transition-effect xsi:type="flyOutEffectType">
				<x-vector direction="left"/>
			</transition-effect>
		</transition>
	</transition-event>	
	<transition-event delay="0" duration="600" >
		<event-filter> 
			<filter attribute="event_type" value="on_creation"/>
		</event-filter>
		<tag-filter>
			<filter value="viewbar" />
		</tag-filter>
		<transition>
			<orientation-filter value="portrait" />													
			<transition-effect xsi:type="flyInEffectType">
				<y-vector direction="top"/>
			</transition-effect>		
		</transition>
		<transition>
			<orientation-filter value="landscape" />
			<transition-effect xsi:type="flyInEffectType">
				<x-vector direction="left"/>
			</transition-effect>		
		</transition>
	</transition-event>		
	
	<!--- extended button bar panel -->
	<transition-event>
		<event-filter>
			<filter attribute="event_type" value="on_creation" />
		</event-filter>

		<tag-filter>
			<filter value="ext_buttonbar" />
		</tag-filter>

		<orientation-filter value="portrait" />	
												
		<transition>
			<transition-effect xsi:type="growInEffectType" align="bottom" delay="0" duration="500" />
		</transition>
	</transition-event>
	
	<transition-event>
		<event-filter>
			<filter attribute="event_type" value="on_creation" />
		</event-filter>

		<tag-filter>
			<filter value="ext_buttonbar" />
		</tag-filter>

		<orientation-filter value="landscape" />
													
		<transition>
			<transition-effect xsi:type="growInEffectType" align="right" delay="0" duration="500" />
		</transition>
	</transition-event>
	
	<transition-event>
		<event-filter>
			<filter attribute="event_type" value="on_removal" />
		</event-filter>

		<tag-filter>
			<filter value="ext_buttonbar" />
		</tag-filter>

		<orientation-filter value="portrait" />	
												
		<transition>
			<transition-effect xsi:type="shrinkOutEffectType" align="bottom" delay="0" duration="500" />
		</transition>
	</transition-event>
	
	<transition-event>
		<event-filter>
			<filter attribute="event_type" value="on_removal" />
		</event-filter>

		<tag-filter>
			<filter value="ext_buttonbar" />
		</tag-filter>

		<orientation-filter value="landscape" />
													
		<transition>
			<transition-effect xsi:type="shrinkOutEffectType" align="right" delay="0" duration="500" />
		</transition>
	</transition-event>			
	
	<!-- 1.4 navipane on_removal/on_creation -->
	<transition-event delay="0">
		<event-filter> 
			<filter attribute="event_type" value="on_removal"/>
		</event-filter>
		<tag-filter>
			<filter value="navipane" />
		</tag-filter>
		<transition>
			<transition-effect xsi:type="fadeOutEffectType"/>
		</transition>
	</transition-event>	
	<transition-event delay="0" duration="600" >
		<event-filter> 
			<filter attribute="event_type" value="on_creation"/>
		</event-filter>
		<tag-filter>
			<filter value="navipane" />
		</tag-filter>
		<transition>
			<transition-effect xsi:type="fadeInEffectType"/>
		</transition>
	</transition-event>		
	
	<transition-event delay="0">
		<event-filter> 
			<filter attribute="event_type" value="on_removal"/>
		</event-filter>
		<tag-filter>
			<filter value="title_bar" />
		</tag-filter>
		<transition>
			<transition-effect xsi:type="fadeOutEffectType"/>
		</transition>
	</transition-event>	
	<transition-event delay="0" duration="600" >
		<event-filter> 
			<filter attribute="event_type" value="on_creation"/>
		</event-filter>
		<tag-filter>
			<filter value="title_bar" />
		</tag-filter>
		<transition>
			<transition-effect xsi:type="fadeInEffectType"/>
		</transition>
	</transition-event>		

	<!-- 1.5 album_art next/previous -->
	<transition-event>
		<event-filter>
			<filter attribute="event_type" value="mcf_transition_next_item"/>
		</event-filter>
		<tag-filter>
			<filter value="album_art"/>
		</tag-filter>
		<transition>
			<transition-effect xsi:type="flyOutEffectType" delay="0" duration="400">
				<x-vector direction="left"/>
			</transition-effect>
			<transition-effect xsi:type="synchronisationEffectType" delay="400" duration="1" sync-event="update_data"/>
			<transition-effect xsi:type="flyInEffectType" delay="400" duration="400" don-not-prepare="true">
				<x-vector direction="right"/>
			</transition-effect>
		</transition>
	</transition-event>
	<transition-event>
		<event-filter>
			<filter attribute="event_type" value="mcf_transition_previous_item"/>
		</event-filter>
		<tag-filter>
			<filter value="album_art"/>
		</tag-filter>
		<transition>
			<transition-effect xsi:type="flyOutEffectType" delay="0" duration="400">
				<x-vector direction="right"/>
			</transition-effect>
			<transition-effect xsi:type="synchronisationEffectType" delay="400" duration="1" sync-event="update_data"/>
			<transition-effect xsi:type="flyInEffectType" delay="400" duration="400" don-not-prepare="true">
				<x-vector direction="left"/>
			</transition-effect>
		</transition>
	</transition-event> 
	
	
	<!-- 
	2nd Phase.
	-->
	<!-- 2.1 "on activation" -->
	<transition-event delay="290">
		<event-filter> 
			<filter attribute="event_type" value="on_activation"/>
			<filter attribute="event_type" value="on_activation_right" operation="or"/>
			<filter attribute="event_type" value="on_activation_left" operation="or"/>
		</event-filter>

		<transition>
			<tag-filter>
				<filter value="extended_buttonbar"/>
			</tag-filter>
			<orientation-filter value="portrait" />													
			<transition-effect xsi:type="flyInEffectType">
				<y-vector direction="bottom"/>
			</transition-effect>
		</transition>
		<transition>
			<tag-filter>
				<filter value="extended_buttonbar"/>
			</tag-filter>
			<orientation-filter value="landscape" />
			<transition-effect xsi:type="flyInEffectType">
				<x-vector direction="right"/>
			</transition-effect>
		</transition>

		<transition>
			<tag-filter> 
				<filter value="viewbar" />
			</tag-filter>
			<orientation-filter value="portrait" />													
			<transition-effect xsi:type="flyInEffectType">
				<y-vector direction="top"/>
			</transition-effect>
		</transition>
		<transition>
			<tag-filter> 
				<filter value="viewbar" />
			</tag-filter>
			<orientation-filter value="landscape" />
			<transition-effect xsi:type="flyInEffectType">
				<x-vector direction="left"/>
			</transition-effect>
		</transition>

		<transition>
			<tag-filter> 
				<filter value="title_bar" />
				<filter value="navipane" />
				<filter value="progress_bar" />
			</tag-filter>
			<transition-effect xsi:type="fadeInEffectType"/>
		</transition>

		<transition>
			<tag-filter> 
				<filter value="album_art" />
			</tag-filter>
			<transition-effect xsi:type="fadeInEffectType"/>
<!--
			<transition-effect xsi:type="shrinkOutEffectType"/>
-->
		</transition>

	</transition-event>	

	<!-- 2.2 "on deactivation" -->
	<transition-event delay="0">
		<event-filter> 
			<filter attribute="event_type" value="on_deactivation"/>
			<filter attribute="event_type" value="on_deactivation_right" operation="or"/>
			<filter attribute="event_type" value="on_deactivation_left" operation="or"/>
		</event-filter>

		<transition>
			<tag-filter>
				<filter value="extended_buttonbar"/>
			</tag-filter>
			<orientation-filter value="portrait" />													
			<transition-effect xsi:type="flyOutEffectType">
				<y-vector direction="bottom"/>
			</transition-effect>
		</transition>
		<transition>
			<tag-filter>
				<filter value="extended_buttonbar"/>
			</tag-filter>
			<orientation-filter value="landscape" />
			<transition-effect xsi:type="flyOutEffectType">
				<x-vector direction="right"/>
			</transition-effect>
		</transition>

		<transition>
			<tag-filter> 
				<filter value="viewbar" />
			</tag-filter>
			<orientation-filter value="portrait" />													
			<transition-effect xsi:type="flyOutEffectType">
				<y-vector direction="top"/>
			</transition-effect>
		</transition>
		<transition>
			<tag-filter> 
				<filter value="viewbar" />
			</tag-filter>
			<orientation-filter value="landscape" />
			<transition-effect xsi:type="flyOutEffectType">
				<x-vector direction="left"/>
			</transition-effect>
		</transition>

		<transition>
			<tag-filter>
				<filter value="title_bar" />
				<filter value="navipane" />
				<filter value="progress_bar" />
			</tag-filter>
			<transition-effect xsi:type="fadeOutEffectType"/>
		</transition>

		<transition>
			<tag-filter> 
				<filter value="album_art" />
			</tag-filter>					
<!--
			<transition-effect xsi:type="shrinkOutEffectType"/>
-->
			<transition-effect xsi:type="fadeOutEffectType"/>
		</transition>

	</transition-event>	

</transitions>				
